package com.ruoyi.system.mapper;

import java.util.List;
import com.ruoyi.system.domain.OrderRework;

/**
 * OrderReworkMapper接口
 * 
 * @author ruoyi
 * @date 2025-05-14
 */
public interface OrderReworkMapper 
{
    /**
     * 查询OrderRework
     * 
     * @param id OrderRework主键
     * @return OrderRework
     */
    public OrderRework selectOrderReworkById(Long id);

    /**
     * 查询OrderRework列表
     * 
     * @param orderRework OrderRework
     * @return OrderRework集合
     */
    public List<OrderRework> selectOrderReworkList(OrderRework orderRework);

    /**
     * 新增OrderRework
     * 
     * @param orderRework OrderRework
     * @return 结果
     */
    public int insertOrderRework(OrderRework orderRework);

    /**
     * 修改OrderRework
     * 
     * @param orderRework OrderRework
     * @return 结果
     */
    public int updateOrderRework(OrderRework orderRework);

    /**
     * 删除OrderRework
     * 
     * @param id OrderRework主键
     * @return 结果
     */
    public int deleteOrderReworkById(Long id);

    /**
     * 批量删除OrderRework
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteOrderReworkByIds(Long[] ids);
}
